Name:           c-icap
Version:        0.5.2
Release:        1%{?dist}
Summary:        ICAP server

License:        LGPLv2+
URL:            http://c-icap.sourceforge.net/
Source0:        http://downloads.sourceforge.net/%{name}/c_icap-%{version}.tar.gz

# For autoreconf
BuildRequires:  libtool
BuildRequires:  bzip2-devel
BuildRequires:  libdb-devel
BuildRequires:  libmemcached-devel
BuildRequires:  openldap-devel
%if 0%{?fedora} >= 26
BuildRequires:  compat-openssl10-devel
%else
BuildRequires:  openssl-devel
%endif
BuildRequires:  pcre-devel
BuildRequires:  zlib-devel
# For devel docs
BuildRequires:  doxygen

%description
c-icap is an implementation of an ICAP server. It can be used with HTTP
proxies that support the ICAP protocol to implement content adaptation and
filtering services.

Most of the commercial HTTP proxies must support the ICAP protocol. The open
source Squid 3.x proxy server supports it. 


%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}
Requires:       openssl-devel

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q -n c_icap-%{version}
find -name Makefile.am | xargs sed -i -e 's/-rdynamic -rpath @libdir@//'


%build
# To reamove rpath
autoreconf -f -i
%configure --disable-static
%make_build
%make_build doc


%install
%make_install
find %{buildroot} -name '*.la' -exec rm -f {} ';'
chmod -x %{buildroot}%{_sysconfdir}/*
mkdir -p %{buildroot}%{_datadir}/c_icap/templates

%check
cd tests
for test in test_*
do
# test_body and test_tables takes args, no instructions on how to run
  [ -x $test -a $test != test_body -a $test != test_tables ] && ./$test
done


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%license COPYING
%doc AUTHORS README TODO
%config(noreplace) %{_sysconfdir}/c-icap.conf
%config(noreplace) %{_sysconfdir}/c-icap.magic
%config %{_sysconfdir}/c-icap.conf.default
%config %{_sysconfdir}/c-icap.magic.default
%{_bindir}/c-icap
%{_bindir}/c-icap-client
%{_bindir}/c-icap-mkbdb
%{_bindir}/c-icap-stretch
%{_libdir}/*.so.5*
%{_libdir}/c_icap/
%{_datadir}/c_icap/
%{_mandir}/man8/c-icap.8*
%{_mandir}/man8/c-icap-client.8*
%{_mandir}/man8/c-icap-mkbdb.8*
%{_mandir}/man8/c-icap-stretch.8*
%{_var}/run/c-icap/

%files devel
%doc docs/html
%{_bindir}/c-icap-config
%{_bindir}/c-icap-libicapapi-config
%{_includedir}/*
%{_libdir}/*.so
%{_mandir}/man8/c-icap-config.8*
%{_mandir}/man8/c-icap-libicapapi-config.8*


%changelog
* Fri Jul 14 2017 Orion Poplawski <orion@cora.nwra.com> - 0.5.2-1
- Initial package
